XvSelectPortNotify(__libmansuffix__)

Name
XvSelectPortNotify - enable or disable XvPortNotify(__libmansuffix__) events

Syntax
#include <X11/extensions/Xvlib.h>

XvSelectPortNotify(dpy, port, onoff)

Display *dpy;
XvPortID port;
Bool onoff;

Arguments

dpy Specifies the display screen on which the X Server is to accept requests from X clients. If the display option is not specified, X uses the display screen specified by your DISPLAY environment variable. The display option has the format hostname:number. Using two colons (::) instead of one (:) indicates that DECnet is to be used for transport.

port
    Specifies the port for which PortNotify events are to be generated when its attributes are changed using XvSetPortAttribute(__libmansuffix__).

onoff
    Specifies whether notification is to be enabled or disabled.

Description
XvSelectPortNotify(__libmansuffix__) enables or disables PortNotify event delivery to the requesting client. XvPortNotify(__libmansuffix__) events are generated when port attributes are changed using XvSetPortAttribute(__libmansuffix__).

Returned Values

[Success]
    Returned if XvSelectPortNotify(__libmansuffix__) completed successfully.

[XvBadExtension]
    Returned if the Xv extension is unavailable.

[XvBadAlloc]
    Returned if XvSelectPortNotify(__libmansuffix__) failed to allocate memory to process the request.

Diagnostics

[XvBadPort]
    Generated if the requested port does not exist.

See Also
XvSetPortNotify(__libmansuffix__), XvSetPortAttribute(__libmansuffix__), XvPortNotify(__libmansuffix__)